package cn.com.poc.agent_application.domain;

/**
 * agent应用对话模型配置
 */
public class AgentApplicationCommModelConfig {

    /**
     * large_model
     * 问答模型
     */
    private java.lang.String largeModel;

    public java.lang.String getLargeModel() {
        return this.largeModel;
    }

    public void setLargeModel(java.lang.String largeModel) {
        this.largeModel = largeModel;
    }

    /**
     * top_p
     * 对话模型多样性配置 [0-1.00]
     */
    private java.lang.Float topP;

    public Float getTopP() {
        return topP;
    }

    public void setTopP(Float topP) {
        this.topP = topP;
    }

    /**
     * temperature
     * 对话模型温度配置 (0-1.0]
     */
    private Float temperature;

    public Float getTemperature() {
        return temperature;
    }

    public void setTemperature(Float temperature) {
        this.temperature = temperature;
    }

    /**
     * communication_turn
     * 对话上下文保存轮次
     */
    private java.lang.Integer communicationTurn;

    public java.lang.Integer getCommunicationTurn() {
        return this.communicationTurn;
    }

    public void setCommunicationTurn(java.lang.Integer communicationTurn) {
        this.communicationTurn = communicationTurn;
    }
}
